<?php
namespace d3\heidelpay\payment;

use d3\heidelpay\request\pattern\OnlineTransfer;
use d3\heidelpay\response\Parser;
use d3\heidelpay\Redirect;
use ReflectionException;

/**
 * Class Sofortueberweisung
 */
class Sofortueberweisung extends AbstractPayment
{
    /**
     * {@inheritdoc}
     */
    public function getRequestXmlPattern()
    {
        return new OnlineTransfer();
    }

    /**
     * {@inheritdoc}
     */
    public function getPaymentCode()
    {
        return 'OT';
    }

    /**
     * {@inheritdoc}
     */
    public function getPaymentTypes()
    {
        return array('PA', 'RC', 'RF');
    }

    /**
     * Returns empty array
     *
     * @param Parser $oParser
     *
     * @return array
     */
    public function getDynamicValues(Parser $oParser)
    {
        return array();
    }

    /**
     * @return Redirect
     * @throws ReflectionException
     * @throws exception\UnknownRedirectParameterException
     */
    public function getRedirect()
    {
        return new Redirect();
    }
}
